package com.chenyang.nse.bussiness.entity.vo.strategy;

import java.util.Map;

public class LoadingColumnParamVO {
   private String dataSystemId;
   private String projectId;
   private String schema;
   private String tableName;
   private String columnName;
   private String columnType;
   private String columnSize;
   private String secretKeyId;
   private String[] primaryKeys;
   private Map<String, Object> map;
   private String flag;
   private int pageno;
   private int pagesize;
   private String state;
   private String exportPath;

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public String getSecretKeyId() {
      return this.secretKeyId;
   }

   public void setSecretKeyId(String secretKeyId) {
      this.secretKeyId = secretKeyId;
   }

   public String[] getPrimaryKeys() {
      return this.primaryKeys;
   }

   public void setPrimaryKeys(String[] primaryKeys) {
      this.primaryKeys = primaryKeys;
   }

   public Map<String, Object> getMap() {
      return this.map;
   }

   public void setMap(Map<String, Object> map) {
      this.map = map;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public int getPageno() {
      return this.pageno;
   }

   public void setPageno(int pageno) {
      this.pageno = pageno;
   }

   public int getPagesize() {
      return this.pagesize;
   }

   public void setPagesize(int pagesize) {
      this.pagesize = pagesize;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getColumnType() {
      return this.columnType;
   }

   public void setColumnType(String columnType) {
      this.columnType = columnType;
   }

   public String getColumnSize() {
      return this.columnSize;
   }

   public void setColumnSize(String columnSize) {
      this.columnSize = columnSize;
   }

   public String getExportPath() {
      return this.exportPath;
   }

   public void setExportPath(String exportPath) {
      this.exportPath = exportPath;
   }
}
